'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _types = require('./types');

var _types2 = _interopRequireDefault(_types);

var login = function login() {
  return {
    type: _types2['default'].AUTH_LOGIN
  };
};
exports.login = login;
var register = function register() {
  return {
    type: _types2['default'].AUTH_REGISTER
  };
};
exports.register = register;
var logout = function logout() {
  return {
    type: _types2['default'].AUTH_LOGOUT
  };
};
exports.logout = logout;
var setValueInAuthFormByKey = function setValueInAuthFormByKey(key, value) {
  return {
    type: _types2['default'].SET_VALUE_IN_AUTH_FORM_BY_KEY,
    key: key,
    value: value
  };
};
exports.setValueInAuthFormByKey = setValueInAuthFormByKey;