'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
exports['default'] = setSessionTokenWorker;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var marked0$0 = [setSessionTokenWorker].map(regeneratorRuntime.mark);

var _reduxSagaEffects = require('redux-saga/effects');

var _serverApi = require('../../server/api');

var _serverApi2 = _interopRequireDefault(_serverApi);

var _types = require('../types');

var _types2 = _interopRequireDefault(_types);

function removeAuthTokenFromStorage() {
  if (localStorage) {
    return JSON.parse(localStorage.removeItem(_types2['default'].SESSION_TOKEN_KEY));
  }
  return null;
}

function setSessionTokenWorker() {
  return regeneratorRuntime.wrap(function setSessionTokenWorker$(context$1$0) {
    while (1) switch (context$1$0.prev = context$1$0.next) {
      case 0:
        context$1$0.next = 2;
        return (0, _reduxSagaEffects.put)({
          type: _types2['default'].SESSION_TOKEN_IN_STORAGE_STATUS,
          status: _types2['default'].REMOVE_SESSION_START
        });

      case 2:
        removeAuthTokenFromStorage();
        context$1$0.next = 5;
        return (0, _reduxSagaEffects.put)({
          type: _types2['default'].SESSION_TOKEN_IN_STORAGE_STATUS,
          status: _types2['default'].REMOVE_SESSION__FAILED
        });

      case 5:
      case 'end':
        return context$1$0.stop();
    }
  }, marked0$0[0], this);
}

module.exports = exports['default'];