/**
 * # redux > auth > type.js
 *
 * This file contain the TEMPLATE actionType
 */
'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _serverApi = require('../server/api');

var _serverApi2 = _interopRequireDefault(_serverApi);

exports['default'] = {
  // storage
  SESSION_TOKEN_KEY: 'SESSION_TOKEN_KEY_' + _serverApi2['default'].getAppId(),
  GET_SESSION_TOKEN_FROM_STORAGE: 'GET_SESSION_TOKEN_FROM_STORAGE',
  SET_SESSION_TOKEN_IN_STORAGE: 'SET_SESSION_TOKEN_IN_STORAGE',
  REMOVE_SESSION_TOKEN_FROM_STORAGE: 'REMOVE_SESSION_TOKEN_FROM_STORAGE',
  SESSION_TOKEN_IN_STORAGE_STATUS: 'SESSION_TOKEN_IN_STORAGE_STATUS',
  // -- get statues
  GET_SESSION_START: 'GET_SESSION_START',
  GET_SESSION_SUCCESSFULLY: 'GET_SESSION_SUCCESSFULLY',
  GET_SESSION__FAILED: 'GET_SESSION_FAILED',
  // -- set statues
  SET_SESSION_START: 'SET_SESSION_START',
  SET_SESSION_SUCCESSFULLY: 'SET_SESSION_SUCCESSFULLY',
  SET_SESSION__FAILED: 'SET_SESSION_FAILED',
  // -- remove statues
  REMOVE_SESSION_START: 'REMOVE_SESSION_START',
  REMOVE_SESSION_SUCCESSFULLY: 'REMOVE_SESSION_SUCCESSFULLY',
  REMOVE_SESSION__FAILED: 'REMOVE_SESSION_FAILED',
  // store
  SET_USER_IN_STORE: 'SET_USER_IN_STORE',
  CLEAR_USER_FROM_STORE: 'CLEAR_USER_FROM_STORE',
  CLEAR_AUTH_FORM: 'CLEAR_AUTH_FORM',
  SET_VALUE_IN_AUTH_FORM_BY_KEY: 'SET_VALUE_IN_AUTH_FORM_BY_KEY',
  // query status
  SET_AUTH_QUERY_STATUS: 'SET_AUTH_QUERY_STATUS',
  // -- register
  REGISTER_START: 'REGISTER_START',
  REGISTER_SUCCESSFULLY: 'REGISTER_SUCCESSFULLY',
  REGISTER_FAILED: 'REGISTER_FAILED',
  // -- login
  LOGIN_START: 'LOGIN_START',
  LOGIN_SUCCESSFULLY: 'LOGIN_SUCCESSFULLY',
  LOGIN_FAILED: 'LOGIN_FAILED',
  // -- logout
  LOGOUT_START: 'LOGOUT_START',
  LOGOUT_FAILED: 'LOGOUT_FAILED',
  LOGOUT_SUCCESSFULLY: 'LOGOUT_SUCCESSFULLY',
  // auth types
  AUTH_LOGIN: 'AUTH_LOGIN',
  AUTH_REGISTER: 'AUTH_REGISTER',
  AUTH_LOGOUT: 'AUTH_LOGOUT'
};
module.exports = exports['default'];