/**
 * # redux > market > type.js
 *
 * This file contain the market actionType
 */

'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
exports['default'] = {
  LOG_OUT: 'LOG_OUT',
  data: 'data',
  INVALID_SESSION_TOKEN: 'INVALID_SESSION_TOKEN',
  // Collection
  GET_COLLECTION_BY_CLASS_NAME: 'GET_COLLECTION_BY_CLASS_NAME',
  SET_COLLECTION_BY_TARGET_NAME: 'SET_COLLECTION_BY_TARGET_NAME',
  DELETE_DOCUMENT_FROM_COLLECTION_ON_SERVER: 'DELETE_DOCUMENT_FROM_COLLECTION_ON_SERVER',
  UPDATE_DOCUMENT_FROM_COLLECTION_ON_SERVER: 'UPDATE_DOCUMENT_FROM_COLLECTION_ON_SERVER',
  CLEAR_ALL_COLLECTIONS: 'CLEAR_ALL_COLLECTIONS',
  SET_REQUEST_STATUS_BY_TARGET_NAME: 'SET_REQUEST_STATUS_BY_TARGET_NAME',
  SET_COUNT_BY_TARGET_NAME: 'SET_COUNT_BY_TARGET_NAME',
  REMOVE_COLLECTION_BY_TARGET_NAME_FROM_STORE: 'REMOVE_COLLECTION_BY_TARGET_NAME_FROM_STORE',
  SET_COLLECTION_PARAMETERS: 'SET_COLLECTION_PARAMETERS',
  // Document
  GET_DOCUMENT_BY_OBJECT_ID: 'GET_DOCUMENT_BY_OBJECT_ID',
  SET_DOCUMENT_BY_OBJECT_ID: 'SET_DOCUMENT_BY_OBJECT_ID',
  CLEAR_ALL_DOCUMENTS: 'CLEAR_ALL_DOCUMENTS',
  SET_REQUEST_STATUS_BY_OBJECT_ID: 'SET_REQUEST_STATUS_BY_OBJECT_ID',
  UPDATE_LOCAL_DOCUMENT_BY_OBJECT_ID: 'UPDATE_LOCAL_DOCUMENT_BY_OBJECT_ID',
  REMOVE_LOCAL_DOCUMENT_BY_OBJECT_ID: 'REMOVE_LOCAL_DOCUMENT_BY_OBJECT_ID',
  UPDATE_DOCUMENT_ON_SERVER_BY_OBJECT_ID: 'UPDATE_DOCUMENT_ON_SERVER_BY_OBJECT_ID',
  DELETE_DOCUMENT_FROM_SERVER_BY_OBJECT_ID: 'DELETE_DOCUMENT_FROM_SERVER_BY_OBJECT_ID',
  // New Document
  CREATE_LOCAL_DOCUMENT_BY_UNIQUE_ID: 'CREATE_LOCAL_DOCUMENT_BY_UNIQUE_ID',
  UPDATE_LOCAL_DOCUMENT_BY_UNIQUE_ID: 'UPDATE_LOCAL_DOCUMENT_BY_UNIQUE_ID',
  REMOVE_LOCAL_DOCUMENT_BY_UNIQUE_ID: 'REMOVE_LOCAL_DOCUMENT_BY_UNIQUE_ID',
  CLEAR_LOCAL_DOCUMENT_BY_UNIQUE_ID: 'CLEAR_LOCAL_DOCUMENT_BY_UNIQUE_ID',
  POST_LOCAL_DOCUMENT_BY_UNIQUE_ID_TO_SERVER: 'POST_LOCAL_DOCUMENT_BY_UNIQUE_ID_TO_SERVER',
  SET_REQUEST_STATUS_BY_UNIQUE_ID: 'SET_REQUEST_STATUS_BY_UNIQUE_ID',
  // Cloud codes
  GET_DATA_BY_CLOUD_CODE_NAME: 'GET_DATA_BY_CLOUD_CODE_NAME',
  CLEAR_ALL_CLOUD_CODES: 'CLEAR_ALL_CLOUD_CODES',
  SET_CLOUD_CODE_BY_TARGET_NAME: 'SET_CLOUD_CODE_BY_TARGET_NAME',
  SET_CLOUD_CODE_REQUEST_STATUS_BY_TARGET_NAME: 'SET_CLOUD_CODE_REQUEST_STATUS_BY_TARGET_NAME',
  SET_CLOUD_CODE_PARAMETERS: 'SET_CLOUD_CODE_PARAMETERS',
  REMOVE_CLOUD_CODE_DATA_BY_TARGET_NAME_FROM_STORE: 'REMOVE_CLOUD_CODE_DATA_BY_TARGET_NAME_FROM_STORE'
};
module.exports = exports['default'];