'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
exports['default'] = logoutWorker;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var marked0$0 = [logoutWorker].map(regeneratorRuntime.mark);

var _serverApi = require('../../server/api');

var _serverApi2 = _interopRequireDefault(_serverApi);

var _serverApiSagaWrapper = require('../../server/apiSagaWrapper');

var _reduxSagaEffects = require('redux-saga/effects');

var _types = require('../types');

var _types2 = _interopRequireDefault(_types);

function logoutWorker() {
  var res;
  return regeneratorRuntime.wrap(function logoutWorker$(context$1$0) {
    while (1) switch (context$1$0.prev = context$1$0.next) {
      case 0:
        context$1$0.next = 2;
        return (0, _reduxSagaEffects.put)({ type: _types2['default'].SET_AUTH_QUERY_STATUS, status: _types2['default'].LOGOUT_START });

      case 2:
        return context$1$0.delegateYield((0, _serverApiSagaWrapper.httpRequest)(_serverApi2['default'].logout), 't0', 3);

      case 3:
        res = context$1$0.t0;

        if (!res.error) {
          context$1$0.next = 9;
          break;
        }

        context$1$0.next = 7;
        return (0, _reduxSagaEffects.put)({
          type: _types2['default'].SET_AUTH_QUERY_STATUS,
          status: _types2['default'].LOGOUT_FAILED
        });

      case 7:
        context$1$0.next = 15;
        break;

      case 9:
        context$1$0.next = 11;
        return (0, _reduxSagaEffects.put)({ type: _types2['default'].CLEAR_USER_FROM_STORE });

      case 11:
        context$1$0.next = 13;
        return (0, _reduxSagaEffects.put)({
          type: _types2['default'].REMOVE_SESSION_TOKEN_FROM_STORAGE
        });

      case 13:
        context$1$0.next = 15;
        return (0, _reduxSagaEffects.put)({
          type: _types2['default'].SET_AUTH_QUERY_STATUS,
          status: _types2['default'].LOGOUT_SUCCESSFULLY
        });

      case 15:
      case 'end':
        return context$1$0.stop();
    }
  }, marked0$0[0], this);
}

module.exports = exports['default'];
// Make the request