/**
 * # redux > consts.js
 *
 * This file contain const for using on app
 */

'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
exports['default'] = {
  SUCCESS: 'SUCCESS',
  SUCCESS_WITH_ZERO_RESULTS: 'SUCCESS_WITH_ZERO_RESULTS',
  ERROR: 'ERROR',
  LOADING: 'LOADING',
  NETWORK_ERROR: 'NETWORK_ERROR',
  LOGIN: 'LOGIN',
  COLLECTION_DELETE_DOCUMENT_START: 'COLLECTION_DELETE_DOCUMENT_START',
  COLLECTION_DELETE_DOCUMENT_ERROR: 'COLLECTION_DELETE_DOCUMENT_ERROR',
  COLLECTION_DELETE_DOCUMENT_SUCCESS: 'COLLECTION_DELETE_DOCUMENT_SUCCESS',
  COLLECTION_UPDATE_DOCUMENT_START: 'COLLECTION_UPDATE_DOCUMENT_START',
  COLLECTION_UPDATE_DOCUMENT_ERROR: 'COLLECTION_UPDATE_DOCUMENT_ERROR',
  COLLECTION_UPDATE_DOCUMENT_SUCCESS: 'COLLECTION_UPDATE_DOCUMENT_SUCCESS',
  CREATE_DOCUMENT_START: 'CREATE_DOCUMENT_START',
  CREATE_DOCUMENT_ERROR: 'CREATE_DOCUMENT_ERROR',
  CREATE_DOCUMENT_SUCCESS: 'CREATE_DOCUMENT_SUCCESS',
  DELETE_DOCUMENT_START: 'DELETE_DOCUMENT_START',
  DELETE_DOCUMENT_ERROR: 'DELETE_DOCUMENT_ERROR',
  DELETE_DOCUMENT_SUCCESS: 'DELETE_DOCUMENT_SUCCESS',
  UPDATE_DOCUMENT_START: 'UPDATE_DOCUMENT_START',
  UPDATE_DOCUMENT_ERROR: 'UPDATE_DOCUMENT_ERROR',
  UPDATE_DOCUMENT_SUCCESS: 'UPDATE_DOCUMENT_SUCCESS',
  CLOUD_CODE_DELETE_DOCUMENT_START: 'CLOUD_CODE_DELETE_DOCUMENT_START',
  CLOUD_CODE_DELETE_DOCUMENT_ERROR: 'CLOUD_CODE_DELETE_DOCUMENT_ERROR',
  CLOUD_CODE_DELETE_DOCUMENT_SUCCESS: 'CLOUD_CODE_DELETE_DOCUMENT_SUCCESS',
  CLOUD_CODE_UPDATE_DOCUMENT_START: 'CLOUD_CODE_UPDATE_DOCUMENT_START',
  CLOUD_CODE_UPDATE_DOCUMENT_ERROR: 'CLOUD_CODE_UPDATE_DOCUMENT_ERROR',
  CLOUD_CODE_UPDATE_DOCUMENT_SUCCESS: 'CLOUD_CODE_UPDATE_DOCUMENT_SUCCESS'
};
module.exports = exports['default'];